Bug 914557 - ustr: FTBFS in rawhide
ustr: FTBFS in rawhide
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ustr (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
RejectedFreezeException
:
: 957935 (view as bug list)
Depends On:
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 05:30 EST by Dennis Gilmore
Modified: 2013-06-07 23:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: ustr-1.0.4-14.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 23:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 05:30:47 EST
Your package ustr failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4982779

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/2779/4982779/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/2779/4982779/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/2779/4982779/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 James Antill 2013-02-25 14:58:11 EST
 This is the relevant parts:

PASS: ctst_10_b
 -=> ASSERT (u64[num] == ustrp_parse_b_uint64(sp1, off)) failed in (tst) from 97 octst_10_b.c.
/bin/sh: line 3: 15108 Aborted                 ./$tst
FAIL: octst_10_b
[...]
PASS: tst_10_b
PASS: otst_10_b

...note that this is the exact same source compiled in 4 ways:

ctst == Compiled with debug options and linked against a debug compiled .a
octst == Compiled with production options and linked against a production compiled .a

tst == Compiled with debug options, but no linking (all code is inline).
otst == Compiled with production options, but no linking (all code is inline).

...the fact that only one of these is failing, it's the optimized one, and that it has worked for years previously all lead me to think that this has to be a weird compiler bug.
 Not sure what to do, Dennis?
Comment 2 James Antill 2013-02-25 15:03:58 EST
 Also note that the function just above this (which must work for it to get here) is ustr_parse_b_uint64() which is basically identical to ustrp_parse_b_uint64() ... even more implying that this is some weird compiler bug (code in ustr-b.h).

 Random github mirror:

https://github.com/certik/ustr/blob/master/ustr-b.h#L136
https://github.com/certik/ustr/blob/master/ustr-b.h#L254
Comment 3 Fedora End Of Life 2013-04-03 11:08:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Adam Williamson 2013-05-01 13:04:24 EDT
*** Bug 957935 has been marked as a duplicate of this bug. ***
Comment 5 Adam Williamson 2013-05-08 13:32:35 EDT
This was rejected as an FE issue in 957935.
Comment 6 Peter Robinson 2013-05-19 10:51:52 EDT
Interestingly it builds just fine in F-20/rawhide and still fails in f19
Comment 7 Fedora Update System 2013-05-30 18:04:36 EDT
ustr-1.0.4-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ustr-1.0.4-14.fc19
Comment 8 Fedora Update System 2013-05-31 14:12:03 EDT
Package ustr-1.0.4-14.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ustr-1.0.4-14.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9761/ustr-1.0.4-14.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-06-07 23:42:12 EDT
ustr-1.0.4-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.